<?php
/**
 * @category   Alogic
 * @package    Alogic_Productregistration
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Productregistration\Block;

use Alogic\Productregistration\Model\ProductregistrationFactory;
use Magento\Cms\Model\Template\FilterProvider;
use Magento\Framework\View\Element\Template\Context;

/**
 * Productregistration View block
 */
class ProductregistrationView extends \Magento\Framework\View\Element\Template {
	/**
	 * @var Productregistration
	 */
	protected $_productregistration;
	public function __construct(
		Context $context,
		ProductregistrationFactory $productregistration,
		FilterProvider $filterProvider
	) {
		$this->_productregistration = $productregistration;
		$this->_filterProvider = $filterProvider;
		parent::__construct($context);
	}

	public function _prepareLayout() {
		$this->pageConfig->getTitle()->set(__('Register your products View Page'));

		return parent::_prepareLayout();
	}

	public function getSingleData() {
		$id = $this->getRequest()->getParam('id');
		$productregistration = $this->_productregistration->create();
		$singleData = $productregistration->load($id);
		if ($singleData->getProductregistrationId() || $singleData['productregistration_id'] && $singleData->getStatus() == 1) {
			return $singleData;
		} else {
			return false;
		}
	}
}